//********************* reset
@import "./global/reset.scss";

//********************* mixins
@import "./_mixins/general";

//********************* global
@import "./global/fonts";
@import "./global/variables";
@import "./global/base";

//********************* block
@import "./block/header";
@import "./block/footer";

body {
    margin: 0 auto;
}

// ==================== Баннер ====================

.main-banner {
    margin-bottom: 38px;

    &__wrapper {
        max-width: 100%;
        display: flex;
        justify-content: center;
    }
}

// ===================== Пости =======================

.our-posts {
    margin-bottom: 40px;

    & .section-title {
        margin-bottom: 24px;
    }
}

.posts__wrapper {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 28px;

    & div[class="post"]:last-child {
        display: none;
    }
}

.post {
    display: flex;
    flex-direction: column;

    &__image {
        width: 160px;
        height: 140px;
        margin-bottom: 12px;
    }

    &__title {
        color: #4E4E4E;
        font-family: Roboto;
        font-size: 14px;
        font-weight: 700;
        line-height: 30px;
        /* 214.286% */
    }

    &__category {
        color: #7C7C7C;
        font-family: Roboto;
        font-size: 11px;
        font-weight: 400;
        line-height: 20px;
        /* 181.818% */
    }

    &__describtion {
        display: none;
    }
}

// ====================== Інстаграм фото ==================

.instagram-shots {
    padding: 40px 0px 40px 0px;

    &__title-wrapper {
        display: flex;
        justify-content: space-between;
        margin-bottom: 14px;

        & .instagram-page-link {
            display: none;
        }

    }

    &__image-wrapper {
        display: flex;
        justify-content: flex-start;
    }

    &__image {
        // width: 301px;

        &.tablet,
        &.desktop {
            display: none;
        }
    }



}


// ================= Медіа_Планшет ================

@media screen and (min-width: 769px) {

    .main-banner {
        margin-bottom: 56px;

        &__wrapper {
            max-width: 100%;
            display: flex;
            justify-content: center;
        }
    }

    .posts__wrapper {

        & div[class="post"]:last-child {
            display: flex;
        }
    }

    .post {
        flex-direction: row;
        gap: 20px;
        margin-bottom: 32px;

        &__title {
            font-size: 16px;
        }

        &__category {
            font-size: 12px;
            margin-bottom: 13px;
        }

        &__describtion {
            display: block;
            color: #5C5C5C;
            font-family: Roboto;
            font-size: 14px;
            font-weight: 400;
            line-height: 26px;
            /* 185.714% */
        }

    }

    .instagram-shots {
        width: 100vw;
        padding: 50px 0px 50px 0px;
        background: rgba(0, 0, 0, 0.03);

        &__title-wrapper {
            margin-bottom: 35px;

            & .instagram-page-link {
                display: block;
                color: #4E4E4E;
                font-family: Roboto;
                font-size: 12px;
                font-weight: 700;
                line-height: 22px;
                text-transform: uppercase;
            }
        }

        &__image-wrapper {
            display: flex;
            justify-content: space-between;
            // gap: 9px;
        }

        &__image.tablet {
            display: block;
        } 

    }

}


// =================== Медіа_Широкоформат ===========

@media screen and (min-width: 1201px) {

    .main-banner {
        margin-bottom: 66px;

        &__wrapper {
            width: 100%;
            display: flex;
            justify-content: center;

            // & img {
            //     width: 1170px;
            // }
        }
    }

    .posts__wrapper {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;

        & div[class="post"]:last-child {
            display: flex;
        }
    }

    .post {
        flex-direction: row;
        gap: 20px;
        margin-bottom: 32px;

        &__title {
            font-size: 16px;
        }

        &__category {
            font-size: 12px;
            margin-bottom: 13px;
        }

        &__describtion {
            display: block;
            color: #5C5C5C;
            font-family: Roboto;
            font-size: 14px;
            font-weight: 400;
            line-height: 26px;
            /* 185.714% */
        }

    }

    .instagram-shots {
        width: 100vw;
        padding: 50px 0px 50px 0px;
        background: rgba(0, 0, 0, 0.03);

        &__title-wrapper {
            margin-bottom: 24px;

            & .instagram-page-link {
                display: block;
                color: #4E4E4E;
                font-family: Roboto;
                font-size: 12px;
                font-weight: 700;
                line-height: 22px;
                text-transform: uppercase;
            }
        }

        &__image-wrapper {
            justify-content: space-between;
            margin-bottom: 50px;

            & .tablet,
            & .desktop {
                display: block;
            }
        }
    }

}